> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/image/describeimages.md).

# DescribeImages

## 1. 接口描述

本接口(DescribeImages)用于查询某节点支持的镜像列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型                                                                        | 描述                                    |
| ----------- | -- | ------------------------------------------------------------------------- | ------------------------------------- |
| zoneId      | 是  | String                                                                    | 查询镜像所在的可用区ID。                         |
| imageIds    | 否  | Array of String                                                           | 镜像ID列表。                               |
| imageName   | 否  | String                                                                    | <p>根据镜像名称过滤。</p><p>该字段支持模糊搜索。</p>     |
| category    | 否  | String                                                                    | 镜像所属分类。                               |
| imageType   | 否  | [ImageType](/api-reference/cn/compute/zec/datastructure.md#imagetype)     | 镜像类型。                                 |
| imageSource | 否  | [ImageSource](/api-reference/cn/compute/zec/datastructure.md#imagesource) | 镜像来源。                                 |
| osType      | 否  | [ImageOsType](/api-reference/cn/compute/zec/datastructure.md#imageostype) | 操作系统类型。                               |
| imageStatus | 否  | [ImageStatus](/api-reference/cn/compute/zec/datastructure.md#imagestatus) | 镜像的状态。                                |
| pageNum     | 否  | Integer                                                                   | <p>返回的分页页码。</p><p>默认值：1</p>           |
| pageSize    | 否  | Integer                                                                   | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>  |
| tagKeys     | 否  | Array of String                                                           | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p> |
| tags        | 否  | Array of [Tag](/api-reference/cn/compute/zec/datastructure.md#tag)        | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>   |

## 3. 响应结果

| 参数名称       | 类型                                                                     | 描述                                                       |
| ---------- | ---------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                | 符合条件的数据总数。                                               |
| dataSet    | Array of [Image](/api-reference/cn/compute/zec/datastructure.md#image) | 镜像列表数据。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询`asia-east-1a`区域下，操作系统类型为`linux`的镜像。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImages
<Common Request Params>

Request：
{
  "zoneId": "asia-east-1a",
  "osType": "linux",
  "pageSize": 3
}

Response：
{
  "requestId": "TD67947F8-9B29-451F-9965-58AEDB4E5B7C",
  "response": {
    "requestId": "TD67947F8-9B29-451F-9965-58AEDB4E5B7C",
    "dataSet": [
      {
        "imageId": "ubuntu2404_20240712",
        "imageName": "Ubuntu Server 24.04 LTS",
        "imageType": "PUBLIC_IMAGE",
        "imageSource": "OFFICIAL",
        "imageSize": "20",
        "minDiskSize": 20,
        "imageDescription": null,
        "imageVersion": "Server 24.04 LTS",
        "imageStatus": "AVAILABLE",
        "nicNetworkType": ["FailOver","VirtioOnly"],
        "category": "Ubuntu",
        "osType": "linux",
        "tags":null
      },
      {
        "imageId": "ubuntu2204_20240712",
        "imageName": "Ubuntu Server 22.04 LTS",
        "imageType": "PUBLIC_IMAGE",
        "imageSource": "OFFICIAL",
        "imageSize": "20",
        "minDiskSize": 20,
        "imageDescription": null,
        "imageVersion": "Server 22.04 LTS",
        "imageStatus": "AVAILABLE",
        "nicNetworkType": ["FailOver","VirtioOnly"],
        "category": "Ubuntu",
        "osType": "linux",
        "tags":null
      },
      {
        "imageId": "ubuntu2004_20240712",
        "imageName": "Ubuntu Server 20.04 LTS",
        "imageType": "PUBLIC_IMAGE",
        "imageSource": "MARKETING",
        "imageSize": "20",
        "minDiskSize": 20,
        "imageDescription": null,
        "imageVersion": "Server 20.04 LTS",
        "imageStatus": "AVAILABLE",
        "nicNetworkType": ["FailOver","VirtioOnly"],
        "category": "Ubuntu",
        "osType": "linux",
        "tags":null
      }
    ],
    "totalCount": 16
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                       | 说明      |
| ------- | ------------------------- | ------- |
| 404     | INVALID\_ZONE\_NOT\_FOUND | 可用区不存在。 |
